Request contemplation
Requests one bounded asynchronous contemplation operation for an actor.
POST
/v1/minds/{mind_id}/contemplateAuthorization
bearerAuth AuthorizationBearer <token>
A project-scoped API key. Store it only on a trusted backend.
In: header
Path Parameters
mind_id*string
Public mind ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/minds/mind_example/contemplate" \ -H "Content-Type: application/json" \ -d '{ "actor_id": "user_123" }'{ "operation_id": "op_example", "status": "pending", "created_at": "2026-08-31T12:00:00.000Z"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}